umbrello: Uml::ProgrammingLanguage Namespace Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::ProgrammingLanguage Namespace Reference

## Enumerations
enum | Enum { ActionScript , Ada , Cpp , CSharp , D , IDL , Java , JavaScript , MySQL , Pascal , Perl , PHP , PHP5 , PostgreSQL , Python , Ruby , SQL , Tcl , Vala , XMLSchema , Reserved }

## Functions
QString | toString (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)
QStringList | toExtensions (Enum item)
QString | toExtensionsDescription (Enum item)
bool | isCaseSensitive (Enum item)
QString | scopeSeparator (Enum item)

## Detailed Description

Supported programming languages.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::ProgrammingLanguage::Enum

Enumerator
ActionScript |
Ada |
Cpp |
CSharp |
D |
IDL |
Java |
JavaScript |
MySQL |
Pascal |
Perl |
PHP |
PHP5 |
PostgreSQL |
Python |
Ruby |
SQL |
Tcl |
Vala |
XMLSchema |
Reserved |

## Function Documentation

## ◆ fromInt()

Enum Uml::ProgrammingLanguage::fromInt | ( | int | item | ) |

Convert an integer item into ProgrammingLanguage representation.

Parameters

  item | integer value to convert

Returns
  ProgrammingLanguage enum

## ◆ fromString()

Enum Uml::ProgrammingLanguage::fromString | ( | const QString & | item | ) |

Return ProgrammingLanguage corresponding to the given string.

## ◆ isCaseSensitive()

bool Uml::ProgrammingLanguage::isCaseSensitive | ( | Enum | item | ) |

## ◆ scopeSeparator()

QString Uml::ProgrammingLanguage::scopeSeparator | ( | Enum | item | ) |

## ◆ toExtensions()

QStringList Uml::ProgrammingLanguage::toExtensions | ( | Enum | item | ) |

Return extensions associated with the requested language.

Parameters

  item | programming language index

Returns
  extensions list

## ◆ toExtensionsDescription()

QString Uml::ProgrammingLanguage::toExtensionsDescription | ( | Enum | item | ) |

Return clear text file extension description for the requested language.

Parameters

  item | programming language index

Returns
  extension

## ◆ toString()

QString Uml::ProgrammingLanguage::toString | ( | Enum | item | ) |

Return string corresponding to the given ProgrammingLanguage.